%define opt /opt

Summary: PDF editor
Name: master-pdf-editor4
Version:  4.2.70
Release: %mkrel 1
License: Proprietary
Group: Publishing
URL: http://code-industry.net/free-pdf-editor.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source1:	masterpdfeditor4.desktop
Obsoletes: master-pdf-editor
Obsoletes: master-pdf-editor3
Provides: master-pdf-editor = %version-%release
Provides: master-pdf-editor3 = %version-%release
Requires: %{_lib}qt5printsupport5

%description
Master PDF Editor provides you advanced functions for working with PDF format:
• Create new PDF or edit existing ones.
• Add and/or edit bookmarks in PDF files.
• Fast and simple PDF forms fill out
• Changing font attributes (size, family, color etc)
• Encrypt and/or protect PDF files using 128 bit encryption.
• Convert XPS files into PDF.
• JavaScript support
• Validation Forms and Calculate Values
• Add PDF controls (like buttons, checkboxes, lists, etc.) into your PDFs.
• Import/export PDF pages into common graphical formats including BMP, JPG, PNG, and TIFF.
• Signing PDF documents with digital signature, signatures creation and validation.
• Free PDF Editor on Linux ( for non-commercial use)

The Linux-based version is free for non-commercial use. 

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

%define my_package master-pdf-editor-%{version}_i386.tar.gz

#download source
cd $RPM_SOURCE_DIR
wget -nc "http://get.code-industry.net/public/%{my_package}" 
cd ..

# extract data
mkdir -p %buildroot/opt
tar -zxvf $RPM_SOURCE_DIR/%{my_package}  -C %buildroot/opt

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications

  
%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%opt/master-pdf-editor-4
%{_datadir}/applications/masterpdfeditor4.desktop

#recreate this as the update over master-pdf-editor removes it
%posttrans
ln -fs %opt/master-pdf-editor-4/masterpdfeditor4 %{_bindir}/master-pdf-editor


%changelog
* Mon Aug 07 2017 adrianomorselli <adrianomorselli> 4.2.70-1uplos2017
- update
